import request from '@/utils/request'

//查询列表
export function getList(data){
  return request({
    url:'/service/cbf/list',
    method:'get',
    params:data
  })
}
//承包方查询
export function getCbfList(data){
  return request({
    url:'/open/villageAffairs/public/cbfList',
    method:'get',
    params:data
  })
}

//查询承包地块列表
export function getCbdkms(data){
  return request({
    url:'/service/cbdkxx/getCbdkms',
    method:'get',
    params:data
  })
}
//查询承包方调查
export function getCbfdcList(data){
  return request({
    url:'/service/cbfdc/list',
    method:'get',
    params:data
  })
}

//修改
export function updateSysCfb(data){
  return request({
    url:'/service/cbf/edit',
    method: 'post',
    data: data
  })
}
//批量修改承包方记事签字
export function updateBatchSign(data,gsjs){
  return request({
    url:'/service/cbf/updateBatchSign?gsjs='+gsjs,
    method: 'post',
    data: data
  })
}
//修改承包方记事签字
export function updateSign(data){
  return request({
    url:'/service/cbf/updateSign',
    method: 'post',
    data: data
  })
}
//批量修改承包方审核签字
export function examineBatchSign(data,shyj){
  return request({
    url:'/service/cbf/examineBatchSign?shyj='+shyj,
    method: 'post',
    data: data
  })
}
//修改承包方审核签字
export function examineSign(data){
  return request({
    url:'/service/cbf/examineSign',
    method: 'post',
    data: data
  })
}
//承包方e签宝授权
export function eqbEmpower(data){
  return request({
    url:'/open/villageAffairs/public/eqbEmpower',
    method: 'post',
    data: data
  })
}
//承包合同相关统计
export function cbfDataStatistics(){
  return request({
    url: '/service/cbf/cbfDataStatistics',
    method: 'get'
  })
}


